
ChiliProject - Bug # 822: Initial journal creation fails because of the missing log_encoding of 
Repositories

Status: Closed Priority: Normal
Author: Holger Just Category: Journals / History
Created: 2012-01-10 Assignee: Holger Just
Updated: 2012-01-11 Due date:
Remote issue URL:
Affected version: 2.6.0
Description: The creation if the initial journals 

(source:db/migrate/20100714111653_build_initial_journals_for_acts_as_journalized.rb)  fails for old setups 
because the current Repository model assumes that the @log_encoding@ column is present which is created 
a bit later (source:db/migrate/20110228000000_add_repositories_log_encoding.rb)

See https://gist.github.com/61b3e1379a65b96d5bde for a stack trace (by @mb_the_latter@ on [[IRC]])

Associated revisions
2008-03-15 10:25 am - Jean-Philippe Lang 
Translations update (close #845, #822):
* Finnish (Antti PerkiÃ¶mÃ¤ki)
* Czech (Maxim KruÅ¡ina)

git-svn-id: http://redmine.rubyforge.org/svn/trunk@1253 e93f8b46-1217-0410-a6f0-8f06a7374b81

2012-01-10 06:32 pm - Holger Just 
[#822] Provide a default log_encoding even if the db column is not present yet

History
2012-01-11 10:59 am - Holger Just
- Status changed from Open to Closed

Fixed in commit:cd0ea44.
